--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: basefont
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "Valid values: WinAnsiEncoding, MacRomanEncoding, MacExpertEncoding, none, <tt>nil</tt>, or an instance of PDF::Writer::Object::FontEncoding."
  name: encoding
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: font_id
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "The type of the font: Type1 and TrueType are the only values supported by"
  name: subtype
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An object to hold the font description
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Details
  value: "%w{FirstChar LastChar Widths FontDescriptor SubType}"
full_name: PDF::Writer::Object::Font
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Font
superclass: PDF::Writer::Object
